# TomoContextProvider props

TomoContextProvider is the primary provider for the Tomo Connect SDK. It initializes the SDK and configures its settings and controls the UI component.

Here is the full list of props that can be passed to the TomoContextProvider.

### Settings

<table><thead><tr><th width="201">Property</th><th width="210">Type</th><th>Description</th></tr></thead><tbody><tr><td>clientId</td><td>string</td><td>Client ID applied from Tomo's social dashboard</td></tr><tr><td>evmDefaultChainId?</td><td>number</td><td>Selected EVM chain id,  default is 1</td></tr><tr><td>evmChains?</td><td>(TomoChain | number)[]</td><td>Supported EVM chains, default is all </td></tr><tr><td>chainTypes?</td><td>ChainType[]</td><td>Supported chains, default are EVM chains, Solana, Bitcoin</td></tr><tr><td>sdkMode?</td><td>string</td><td>Used for developer mode, allowed value is undefined | 'dev', default is undefined</td></tr><tr><td>logLevel?</td><td>string</td><td>Used for developer mode, allowed value is undefined | 'debug', default is undefined</td></tr></tbody></table>

Related type definitions are:

```javascript
import { Chain } from 'viem'

export type ChainType = 'evm' | 'bitcoin' | 'solana'
export type TomoChain = Chain<undefined> & { img?: string }
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.tomo.inc/tomo-sdk/tomo-web-sdk/tomocontextprovider-props.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
